<script type="text/javascript">	
$(document).ready(function() {
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#tgl_awal").val(data.tanggal);
				$("#tgl_akhir").val(data.tanggal);
			}
		});
	}
	
	$("#cari_rj").click(function(){
		var tgl_awal = $("#tgl_awal").val();
		var tgl_akhir = $("#tgl_akhir").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Tanggal awal periode masih kosong.');
			$("#tgl_awal").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Tanggal akhir periode belum terisi.');
			$("#tgl_akhir").focus();
			return false;
		}
		$("#data_rj").show();
		$("#data_rj").load('modul/report/tampil_data_rj.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir);
	});
	
	$("#cetak_rj").click(function() {
		var tgl_awal = $("#tgl_awal").val();
		var tgl_akhir = $("#tgl_akhir").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Tanggal awal periode belum terisi.');
			$("#tgl_awal").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Tanggal akhir periode masih kosong.');
			$("#tgl_akhir").focus();
			return false;
		}		
		window.location.href='modul/laporan/daftar_rpj.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir;
	});
	
	$("#tutup_rj").click(function(){
		document.location='?module=home';
	});
	
});
</script>
<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>

<?php
include '../../inc/inc.koneksi.php';
	
echo "<div span='12' style='background-color:white'>";
echo "<div id='form' align='center'><h2>DAFTAR RETUR PENJUALAN<h2></div>";
echo "<div id='filter' align='left'>
	<fieldset>
		<legend>Filter Data </legend>
		<table width='100%'>
			<tr>
				<td>Tanggal</td>				
				<td><input type='date' name='tgl_awal' id='tgl_awal' size='10'></td>				
				<td>Sampai dengan</td>
				<td><input type='date' name='tgl_akhir' id='tgl_akhir' size='10'></td>

				<td align='right'>
					<button name='cari_rj' id='cari_rj'>Cari</button>
					<button name='cetak_rj' id='cetak_rj'>Cetak</button>
					<button name='tutup_rj' id='tutup_rj'>Tutup</button>
				</td>
			</tr>
		</table>
	</fieldset>
	</div><br>";
	
echo "<div id='data_rj' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>";
echo "</div>";
?>
